#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-LaTeX-ToUnicode
Version		:	0.05
Release		:	14.8.0.0%{?dist}
Summary		:	Convert LaTeX commands to Unicode

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/LaTeX::ToUnicode

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

Requires	:	perl

Provides	:	perl(LaTeX::ToUnicode) 
#-----------------------------------------------------------------------------
%description
This module provides a method to convert LaTeX-style markups
for accents etc. into their Unicode equivalents. It translates
commands for special characters or accents into their Unicode
equivalents and removes formatting commands.

I use this module to convert values from BibTeX files into
plain text, if your use case is different, YMMV.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_datadir}/perl5/core_perl/LaTeX/ToUnicode.pm
%{_datadir}/perl5/core_perl/LaTeX/ToUnicode/*.pm
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
